      module names
!-----------------------------------------------------------------------------
!-----------------------------------------------------------------------------
! Number of AA types (at present only natural AA's will be handled
      integer,parameter :: ntyp=27,ntyp1=ntyp+1,ntyp11=2*ntyp1+1
      integer,dimension(5) :: ntyp_molec=(/27,5,0,0,5/),ntyp1_molec=(/28,6,0,0,6/)
      integer,parameter ::maxmolec=5

!-----------------------------------------------------------------------------
! common.names
!      common /names/
!el      character(len=3),dimension(:),allocatable :: restyp	!(-ntyp1:ntyp1)
!el      character(len=1),dimension(:),allocatable :: onelet	!(-ntyp1:ntyp1)
!-----------------------------------------------------------------------------
!-----------------------------------------------------------------------------
!      block data nazwy
!el      allocate(restyp(-ntyp1:ntyp1))	!(-ntyp1:ntyp1)
        character(len=3),dimension(-ntyp1:ntyp1,maxmolec) :: restyp = (&
        (/'DD ','DDX','DDY','DDZ','DAU','DAI','DDB','DSM','DPR','DLY', &
          'DAR','DHI','DAS',&
       'DGL','DSG','DGN','DSN','DTH',&
       'DYY','DAL','DTY','DTR','DVA','DLE','DIL','DPN','MED','DCY','ZER',&
       'CYS','MET','PHE','ILE','LEU','VAL','TRP','TYR','ALA','GLY','THR',&
       'SER','GLN','ASN','GLU','ASP','HIS','ARG','LYS','PRO','SME','DBZ',&
       'AIB','ABU','PTR','TPO','SEP','D  ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ','   ', &
       '   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ',&
       'A  ','G  ','C  ','T  ','U  ','X  ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ','   ', &
       '   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ','   ', &
       '   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ','   ', &
       '   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ',&
       'NA+','MG2','K+ ','CA2','CL-','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ','   ',&
       '   ','   ','   ','   ','   ','   ','   ','   ','   ','   '&
       /))
!el      allocate(onelet(-ntyp1:ntyp1))         !(-ntyp1:ntyp1)
        character(len=1),dimension(-ntyp1:ntyp1) :: onelet = reshape(&
        (/'z','z','z','z','z','z','z','z',&
        'p','k','r','h','d','e','n','q','s',&
        't','g','a','y','w','v','l','i','f','m','c','x',&
        'C','M','F','I','L','V','W','Y','A','G','T',&
        'S','Q','N','E','D','H','R','K','P',&
        'z','z','z','z','z','z','z','X'/),(/ntyp11/))
!        character(len=1),dimension(ntyp1_nucl) :: restyp_nucl = &
!        (/'A','G','C','T','U','X'/)

!-----------------------------------------------------------------------------
!-----------------------------------------------------------------------------
! Number of energy components
      integer,parameter :: n_ene=49
      integer :: n_ene2=2*n_ene
!-----------------------------------------------------------------------------
! common.names
!#ifndef WHAM_RUN
!      common /namterm/
!      character(len=10),dimension(n_ene) :: ename = &
!      (/"EVDW SC-SC","EVDW2 SC-p","EES p-p   ","ECORR4    ","ECORR5    ",&
!        "ECORR6    ","EELLO     ","ETURN3    ","ETURN4    ","ETURN6    ",&
!        "EBE bend  ","ESC SCloc ","ETORS     ","ETORSD    ","EHPB      ","EVDWPP    ",&
!        "ESTR      ","EVDW2_14  ","UCONST    ","          ","ESCCOR    "/)
!      character(len=10),dimension(n_ene) :: wname = &
!      (/"WSC       ","WSCP      ","WELEC     ","WCORR     ","WCORR5    ","WCORR6    ","WEL_LOC   ",&
!        "WTURN3    ","WTURN4    ","WTURN6    ","WANG      ","WSCLOC    ","WTOR      ","WTORD     ",&
!        "WSTRAIN   ","WVDWPP    ","WBOND     ","SCAL14    ","          ","          ","WSCCOR    "/)
!      integer :: nprint_ene = 20
!      integer,dimension(n_ene) :: print_order = &
!         (/1,2,3,11,12,13,14,4,5,6,7,8,9,10,19,18,15,17,16,21,0/)
!#else
      character(len=10),dimension(n_ene) :: ename = &
      (/"EVDW SC-SC","EVDW2 SC-p","EES p-p   ","ECORR4    ","ECORR5    ",&
        "ECORR6    ","EELLO     ","ETURN3    ","ETURN4    ","ETURN6    ",&
        "EBE bend  ","ESC SCloc ","ETORS     ","ETORSD    ","EHPB      ","EVDWPP    ",&
        "EVDW2_14  ","ESTR      ","ESCCOR    ","EDIHC     ","EVDW_T    ",&
        "ELT       ","          ","          ","ETUBE     ",&
        "EVDWPP    ","EESPP     ","EVDWPSB   ","EESPSB    ","EVDWSB    ",&
        "EESSB     ","ESTR      ","EBE       ","ESBLOC    ","ETORS     ",&
        "ETORSD    ","ECORR     ","ECORR3    ","NULL      ","NULL      ",&
        "ECATPROT  ","ECATCAT   ","NULL      ","NULL      ","NULL      ",&
        "ESCBASE   ","EPEPBASE  ","ESCPHO    ","EPEPPHO   "/)

      character(len=10),dimension(n_ene) :: wname = &
      (/"WSC       ","WSCP      ","WELEC     ","WCORR     ","WCORR5    ","WCORR6    ","WEL_LOC   ",&
        "WTURN3    ","WTURN4    ","WTURN6    ","WANG      ","WSCLOC    ","WTOR      ","WTORD     ",&
        "WHPB      ","WVDWPP    ","WSCP14    ","WBOND     ","WSCCOR    ","WDIHC     ","WSC       ",&
        "WLT       ","          ","          ","WTUBE     " ,&
        "WVDWPP    ","WELPP     ","WVDWPSB   ","WELPSB    ","WVDWSB    ",&
        "WELSB     ","WBOND     ","WANG      ","WSBLOC    ","WTOR      ",&
        "WTORD     ","WCORR     ","WCORR3    ","WNULL     ","WNULL     ",&
        "WCATPROT  ","WCATCAT   ","WNULL     ","WNULL     ","WNULL     ",&
        "WSCBASE   ","WPEPBASE  ","WSCPHO    ","WPEPPHO   "/)

      integer :: nprint_ene = 21
      integer,dimension(n_ene) :: print_order = &
         (/1,2,3,18,11,12,13,14,4,5,6,7,8,9,10,19,16,15,17,20,21,22,23,24,25,&
         26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,&
         48,49/)

      character(len=1), dimension(2) :: sugartyp = (/'D',' '/)
!#endif
!-----------------------------------------------------------------------------
!-----------------------------------------------------------------------------
      end module names
